<? /* these functions are used to interact with the DB */
	function updateTimestamp()
	{
		db_query("UPDATE chessgames SET lastMove = NOW() WHERE gameID = ".$_SESSION['gameID']);
	}

	function loadHistory()
	{
		global $history, $numMoves;
		
		$allMoves = db_query("SELECT * FROM chesshistory WHERE gameID = ".$_SESSION['gameID']." ORDER BY timeOfMove");

		$numMoves = -1;
		while ($thisMove = mysql_fetch_array($allMoves, MYSQL_ASSOC))
		{
			$numMoves++;
			$history[$numMoves] = $thisMove;
		}
	}

	function savePromotion()
	{
		global $history, $numMoves, $isInCheck;

		if ($isInCheck)
		{
			$tmpIsInCheck = 1;
			$history[$numMoves]['isInCheck'] = 1;
		}
		else
			$tmpIsInCheck = 0;

		$history[$numMoves]['promotedTo'] = getPieceName($_POST['promotion']);

		$tmpQuery = "UPDATE chesshistory SET promotedTo = '".getPieceName($_POST['promotion'])."', isInCheck = ".$tmpIsInCheck." WHERE gameID = ".$_SESSION['gameID']." AND timeOfMove = '".$history[$numMoves]['timeOfMove']."'";
		mysql_query($tmpQuery);

		updateTimestamp();
	
		/* if email notification is activated and move does not result in a pawn's promotion... */
		if ($CFG_USEEMAILNOTIFICATION)
		{
			if ($history[$numMoves]['replaced'] == null)
				$tmpReplaced = '';
			else
				$tmpReplaced = $history[$numMoves]['replaced'];

			/* get opponent's color */
			if (($numMoves == -1) || ($numMoves % 2 == 1))
				$oppColor = "black";
			else
				$oppColor = "white";
			
			/* get opponent's player ID */
			if ($oppColor == 'white')
				$tmpOpponentID = mysql_query("SELECT whitePlayer FROM chessgames WHERE gameID = ".$_SESSION['gameID']);
			else
				$tmpOpponentID = mysql_query("SELECT blackPlayer FROM chessgames WHERE gameID = ".$_SESSION['gameID']);
			
			$opponentID = mysql_result($tmpOpponentID, 0);
			
			/* if opponent is using email notification... */
			$tmpOpponentEmail = mysql_query("SELECT value FROM preferences WHERE playerID = ".$opponentID." AND preference = 'emailNotification'");
			if (mysql_num_rows($tmpOpponentEmail) > 0)
			{
				$opponentEmail = mysql_result($tmpOpponentEmail, 0);
				if ($opponentEmail != '')
				{
					/* get opponent's nick */
					$tmpOpponentNick = mysql_query("SELECT nick FROM players WHERE playerID = ".$_SESSION['playerID']);
					$opponentNick = mysql_result($tmpOpponentNick, 0);
					
					/* get opponent's prefered history type */
					$tmpOpponentHistory = mysql_query("SELECT value FROM preferences WHERE playerID = ".$opponentID." AND preference = 'history'");
					
					/* default to PGN */
					if (mysql_num_rows($tmpOpponentHistory) > 0)
						$opponentHistory = mysql_result($tmpOpponentHistory, 0);
					else
						$opponentHistory = 'pgn';
					
					/* notify opponent of move via email */
					if ($opponentHistory == 'pgn')
						webchessMail('move', $opponentEmail, moveToPGNString($history[$numMoves]['curColor'], $history[$numMoves]['curPiece'], $history[$numMoves]['fromRow'], $history[$numMoves]['fromCol'], $history[$numMoves]['toRow'], $history[$numMoves]['toCol'], $tmpReplaced, $history[$numMoves]['promotedTo'], $isInCheck), $opponentNick);
					else
						webchessMail('move', $opponentEmail, moveToVerbousString($history[$numMoves]['curColor'], $history[$numMoves]['curPiece'], $history[$numMoves]['fromRow'], $history[$numMoves]['fromCol'], $history[$numMoves]['toRow'], $history[$numMoves]['toCol'], $tmpReplaced, $history[$numMoves]['promotedTo'], $isInCheck), $opponentNick);
				}
			}
		}
	}
	
	function saveHistory()
	{
		global $board, $isPromoting, $history, $numMoves, $isInCheck, $CFG_USEEMAILNOTIFICATION;

		/* set destination row for pawn promotion */
		if ($board[$_POST['fromRow']][$_POST['fromCol']] & BLACK)
			$targetRow = 0;
		else
			$targetRow = 7;
		
		/* determine if move results in pawn promotion */
		if ((($board[$_POST['fromRow']][$_POST['fromCol']] & COLOR_MASK) == PAWN) && ($_POST['toRow'] == $targetRow))
			$isPromoting = true;
		else
			$isPromoting = false;

		/* determine who's playing based on number of moves so far */
		if (($numMoves == -1) || ($numMoves % 2 == 1))
		{
			$curColor = "white";
			$oppColor = "black";
			$targetRow = 7;
		}
		else
		{
			$curColor = "black";
			$oppColor = "white";
			$targetRow = 0;
		}

		/* add move to history */
		$numMoves++;
		$history[$numMoves]['gamedID'] = $_SESSION['gameID'];
		$history[$numMoves]['curPiece'] = getPieceName($board[$_POST['fromRow']][$_POST['fromCol']]);
		$history[$numMoves]['curColor'] = $curColor;
		$history[$numMoves]['fromRow'] = $_POST['fromRow'];
		$history[$numMoves]['fromCol'] = $_POST['fromCol'];
		$history[$numMoves]['toRow'] = $_POST['toRow'];
		$history[$numMoves]['toCol'] = $_POST['toCol'];
		$history[$numMoves]['promotedTo'] = null;

		if ($isInCheck)
			$history[$numMoves]['isInCheck'] = 1;
		else
			$history[$numMoves]['isInCheck'] = 0;

		if (DEBUG)
		{
			if ($history[$numMoves]['curPiece'] == '')
				echo ("WARNING!!!  missing piece at ".$_POST['fromRow'].", ".$_POST['fromCol'].": ".$board[$_POST['fromRow']][$_POST['fromCol']]."<p>\n");
		}

		if ($board[$_POST['toRow']][$_POST['toCol']] == 0)
		{
			$tmpQuery = "INSERT INTO chesshistory (timeOfMove, gameID, curPiece, curColor, fromRow, fromCol, toRow, toCol, replaced, promotedTo, isInCheck) VALUES (Now(), ".$_SESSION['gameID'].", '".getPieceName($board[$_POST['fromRow']][$_POST['fromCol']])."', '$curColor', ".$_POST['fromRow'].", ".$_POST['fromCol'].", ".$_POST['toRow'].", ".$_POST['toCol'].", null, null, ".$history[$numMoves]['isInCheck'].")"; 
			$history[$numMoves]['replaced'] = null;
			$tmpReplaced = "";
		}
		else
		{
			$tmpQuery = "INSERT INTO chesshistory (timeOfMove, gameID, curPiece, curColor, fromRow, fromCol, toRow, toCol, replaced, promotedTo, isInCheck) VALUES (Now(), ".$_SESSION['gameID'].", '".getPieceName($board[$_POST['fromRow']][$_POST['fromCol']])."', '$curColor', ".$_POST['fromRow'].", ".$_POST['fromCol'].", ".$_POST['toRow'].", ".$_POST['toCol'].", '".getPieceName($board[$_POST['toRow']][$_POST['toCol']])."', null, ".$history[$numMoves]['isInCheck'].")"; 

			$history[$numMoves]['replaced'] = getPieceName($board[$_POST['toRow']][$_POST['toCol']]);
			$tmpReplaced = $history[$numMoves]['replaced'];
		}

		mysql_query($tmpQuery);

		/* if email notification is activated and move does not result in a pawn's promotion... */
		/* NOTE: moves resulting in pawn promotion are handled by savePromotion() above */
		if ($CFG_USEEMAILNOTIFICATION && !$isPromoting)
		{
			/* get opponent's player ID */
			if ($oppColor == 'white')
				$tmpOpponentID = mysql_query("SELECT whitePlayer FROM chessgames WHERE gameID = ".$_SESSION['gameID']);
			else
				$tmpOpponentID = mysql_query("SELECT blackPlayer FROM chessgames WHERE gameID = ".$_SESSION['gameID']);
			
			$opponentID = mysql_result($tmpOpponentID, 0);
			
			/* if opponent is using email notification... */
			$tmpOpponentEmail = mysql_query("SELECT value FROM preferences WHERE playerID = ".$opponentID." AND preference = 'emailNotification'");
			if (mysql_num_rows($tmpOpponentEmail) > 0)
			{
				$opponentEmail = mysql_result($tmpOpponentEmail, 0);
				if ($opponentEmail != '')
				{
					/* get opponent's nick */
					$tmpOpponentNick = mysql_query("SELECT nick FROM players WHERE playerID = ".$_SESSION['playerID']);
					$opponentNick = mysql_result($tmpOpponentNick, 0);
					
					/* get opponent's prefered history type */
					$tmpOpponentHistory = mysql_query("SELECT value FROM preferences WHERE playerID = ".$opponentID." AND preference = 'history'");
					
					/* default to PGN */
					if (mysql_num_rows($tmpOpponentHistory) > 0)
						$opponentHistory = mysql_result($tmpOpponentHistory, 0);
					else
						$opponentHistory = 'pgn';
					
					/* notify opponent of move via email */
					if ($opponentHistory == 'pgn')
						webchessMail('move', $opponentEmail, moveToPGNString($history[$numMoves]['curColor'], $history[$numMoves]['curPiece'], $history[$numMoves]['fromRow'], $history[$numMoves]['fromCol'], $history[$numMoves]['toRow'], $history[$numMoves]['toCol'], $tmpReplaced, '', $isInCheck), $opponentNick);
					else
						webchessMail('move', $opponentEmail, moveToVerbousString($history[$numMoves]['curColor'], $history[$numMoves]['curPiece'], $history[$numMoves]['fromRow'], $history[$numMoves]['fromCol'], $history[$numMoves]['toRow'], $history[$numMoves]['toCol'], $tmpReplaced, '', $isInCheck), $opponentNick);
				}
			}
		}
	}

	function loadGame()
	{
		global $session, $board, $playersColor;

		/* clear board data */
		for ($i = 0; $i < 8; $i++)
			for ($j = 0; $j < 8; $j++)
				$board[$i][$j] = 0;

		/* get data from database */
		//$pieces = mysql_query("SELECT * FROM pieces WHERE gameID = ".$_SESSION['gameID']);

		/* setup board */
		//while ($thisPiece = mysql_fetch_array($pieces, MYSQL_ASSOC))
		//{
			//$board[$thisPiece["row"]][$thisPiece["col"]] = getPieceCode($thisPiece["color"], $thisPiece["piece"]);
		//}
		
		$sql = "SELECT * FROM chessgames WHERE gameID = ".$_SESSION['gameID'];
		$result = db_query($sql);
		$tmpGame = db_fetch_assoc($result);

		/* setup board */
		$arr_pieces=unserialize($tmpGame['pieces']);
		foreach($arr_pieces as $thisPiece)
		{
			$board[$thisPiece["row"]][$thisPiece["col"]] = getPieceCode($thisPiece["color"], $thisPiece["piece"]);
		}
		
		/* get current player's color */
		if ($tmpGame['whitePlayer'] == $session['user']['acctid'])
		{
			$playersColor = "white";
			$board['opponent'] = $tmpGame['blackPlayer'];
		}
		else
		{
			$playersColor = "black";
			$board['opponent'] = $tmpGame['whitePlayer'];
		}
	}

	function saveGame()
	{
		global $board, $playersColor;

		/* clear old data */
		//mysql_query("DELETE FROM pieces WHERE gameID = ".$_SESSION['gameID']);
		$arr_pieces=array();

		/* save new game data */
		/* for each row... */
		for ($i = 0; $i < 8; $i++)
		{
			/* for each col... */
			for ($j = 0; $j < 8; $j++)
			{
				/* if there's a piece at that pos on the board */
				if ($board[$i][$j] != 0)
				{
					/* updated the database */
					if ($board[$i][$j] & BLACK)
						$tmpColor = "black";
					else
						$tmpColor = "white";

					$tmpPiece = getPieceName($board[$i][$j]);
					//mysql_query("INSERT INTO pieces (gameID, color, piece, row, col) VALUES (".$_SESSION['gameID'].", '$tmpColor', '$tmpPiece', $i, $j)");
					$arr_pieces[]=array('color'=>$tmpColor,'piece'=>$tmpPiece,'row'=>$i,'col'=>$j);
				}
			}
		}
		db_query("UPDATE chessgames SET pieces='".serialize($arr_pieces)."' WHERE gameID=".$_SESSION['gameID']);

		/* update lastMove timestamp */
		updateTimestamp();
	}

	function processMessages()
	{
		global $isUndoRequested, $isDrawRequested, $isUndoing, $isGameOver, $isCheckMate, $playersColor, $statusMessage, $CFG_USEEMAILNOTIFICATION, $session;

		if (DEBUG)
			echo("Entering processMessages()<br>\n");

		$isUndoRequested = false;
		$isGameOver = false;
		
		if ($playersColor == "white")
			$opponentColor = "black";
		else
			$opponentColor = "white";

		/* *********************************************** */
		/* queue user generated (ie: using forms) messages */
		/* *********************************************** */
		if (DEBUG)
			echo("Processing user generated (ie: form) messages...<br>\n");

		/* queue a request for an undo */
		if ($_POST['requestUndo'] == "yes")
		{
			$tmpQuery = "INSERT INTO chessmessages (gameID, msgType, msgStatus, destination) VALUES (".$_SESSION['gameID'].", 'undo', 'request', '".$opponentColor."')";
			db_query($tmpQuery);
			
			updateTimestamp();
		}
		
		/* queue a request for a draw */
		if ($_POST['requestDraw'] == "yes")
		{
			$tmpQuery = "INSERT INTO chessmessages (gameID, msgType, msgStatus, destination) VALUES (".$_SESSION['gameID'].", 'draw', 'request', '".$opponentColor."')";
			db_query($tmpQuery);

			updateTimestamp();
		}

		/* response to a request for an undo */
		if (isset($_POST['undoResponse']))
		{
			if ($_POST['isUndoResponseDone'] == 'yes')
			{
				if ($_POST['undoResponse'] == "yes")
				{
					$tmpStatus = "approved";
					$isUndoing = true;
				}
				else
					$tmpStatus = "denied";
			
				$tmpQuery = "UPDATE chessmessages SET msgStatus = '".$tmpStatus."', destination = '".$opponentColor."' WHERE gameID = ".$_SESSION['gameID']." AND msgType = 'undo' AND msgStatus = 'request' AND destination = '".$playersColor."'";
				db_query($tmpQuery);
			
				updateTimestamp();
			}
		}
		
		/* response to a request for a draw */
		if (isset($_POST['drawResponse']))
		{
			if ($_POST['isDrawResponseDone'] == 'yes')
			{
				if ($_POST['drawResponse'] == "yes")
				{
					$tmpStatus = "approved";
					$tmpQuery = "UPDATE chessgames SET gameMessage = 'draw', messageFrom = '".$playersColor."' WHERE gameID = ".$_SESSION['gameID'];
					db_query($tmpQuery);
				}
				else
					$tmpStatus = "denied";
			
				$tmpQuery = "UPDATE chessmessages SET msgStatus = '".$tmpStatus."', destination = '".$opponentColor."' WHERE gameID = ".$_SESSION['gameID']." AND msgType = 'draw' AND msgStatus = 'request' AND destination = '".$playersColor."'";
				db_query($tmpQuery);

				updateTimestamp();
			}
		}
		
		/* resign the game */
		if ($_POST['resign'] == "yes")
		{
			$tmpQuery = "UPDATE chessgames SET gameMessage = 'playerResigned', messageFrom = '".$playersColor."' WHERE gameID = ".$_SESSION['gameID'];
			db_query($tmpQuery);

			updateTimestamp();

			/* if email notification is activated... */
			if ($CFG_USEEMAILNOTIFICATION)
			{
				/* get opponent's player ID */
				if ($playersColor == 'white')
					$tmpOpponentID = db_query("SELECT blackPlayer FROM chessgames WHERE gameID = ".$_SESSION['gameID']);
				else
					$tmpOpponentID = db_query("SELECT whitePlayer FROM chessgames WHERE gameID = ".$_SESSION['gameID']);
				
				$opponentID = mysql_result($tmpOpponentID, 0);
			
				$tmpOpponentEmail = db_query("SELECT value FROM preferences WHERE playerID = ".$opponentID." AND preference = 'emailNotification'");
				
				/* if opponent is using email notification... */
				if (db_num_rows($tmpOpponentEmail) > 0)
				{
					$opponentEmail = mysql_result($tmpOpponentEmail, 0);
					if ($opponentEmail != '')
					{
						/* notify opponent of resignation via email */
						webchessMail('resignation', $opponentEmail, '', $_SESSION['nick']);
					}
				}
			}
		}
		
		
		/* ******************************************* */
		/* process queued messages (ie: from database) */
		/* ******************************************* */
		$tmpQuery = "SELECT * FROM chessmessages WHERE gameID = ".$_SESSION['gameID']." AND destination = '".$playersColor."'";
		$tmpMessages = db_query($tmpQuery);

		while($tmpMessage = mysql_fetch_array($tmpMessages, MYSQL_ASSOC))
		{
			switch($tmpMessage['msgType'])
			{
				case 'undo':
					switch($tmpMessage['msgStatus'])
					{
						case 'request':
							$isUndoRequested = true;
							break;
						case 'approved':
							$tmpQuery = "DELETE FROM chessmessages WHERE gameID = ".$_SESSION['gameID']." AND msgType = 'undo' AND msgStatus = 'approved' AND destination = '".$playersColor."'";
							db_query($tmpQuery);
							$statusMessage .= "Undo angenommen.<br>\n";
							break;
						case 'denied':
							$isUndoing = false;
							$tmpQuery = "DELETE FROM chessmessages WHERE gameID = ".$_SESSION['gameID']." AND msgType = 'undo' AND msgStatus = 'denied' AND destination = '".$playersColor."'";
							db_query($tmpQuery);
							$statusMessage .= "Undo abgelehnt.<br>\n";
							break;
					}
					break;
				
				case 'draw':
					switch($tmpMessage['msgStatus'])
					{
						case 'request':
							$isDrawRequested = true;
							break;
						case 'approved':
							$tmpQuery = "DELETE FROM chessmessages WHERE gameID = ".$_SESSION['gameID']." AND msgType = 'draw' AND msgStatus = 'approved' AND destination = '".$playersColor."'";
							db_query($tmpQuery);
							$statusMessage .= "Remis angenommen.<br>\n";
							break;
						case 'denied':
							$tmpQuery = "DELETE FROM chessmessages WHERE gameID = ".$_SESSION['gameID']." AND msgType = 'draw' AND msgStatus = 'denied' AND destination = '".$playersColor."'";
							db_query($tmpQuery);
							$statusMessage .= "Remis abgelehnt.<br>\n";
							break;
					}
					break;
			}
		}

		/* requests pending */
		$tmpQuery = "SELECT * FROM chessmessages WHERE gameID = ".$_SESSION['gameID']." AND msgStatus = 'request' AND destination = '".$opponentColor."'";
		$tmpMessages = db_query($tmpQuery);

		while($tmpMessage = mysql_fetch_array($tmpMessages, MYSQL_ASSOC))
		{
			switch($tmpMessage['msgType'])
			{
				case 'undo':
					$statusMessage .= "Warte auf Antwort fr Undo-Anfrage.<br>\n";
					break;
				case 'draw':
					$statusMessage .= "Warte auf Antwort fr Remis-Anfrage.<br>\n";
					break;
			}
		}	
		
		/* game level status: draws, resignations and checkmate */
		/* if checkmate, update chessgames table */
		if ($_POST['isCheckMate'] == 'true')
			db_query("UPDATE chessgames SET gameMessage = 'checkMate', messageFrom = '".$playersColor."' WHERE gameID = ".$_SESSION['gameID']);

		$tmpQuery = "SELECT gameMessage, messageFrom, bet, whitePlayer, blackPlayer FROM chessgames WHERE gameID = ".$_SESSION['gameID'];
		$tmpMessages = db_query($tmpQuery);
		$tmpMessage = mysql_fetch_array($tmpMessages, MYSQL_ASSOC);
		
		if ($tmpMessage['gameMessage'] == "draw")
		{
			$statusMessage .= "Spiel wurde unentschieden beendet.<br>\n";
			$isGameOver = true;
		}

		if ($tmpMessage['gameMessage'] == "playerResigned")
		{
			$statusMessage .= ucfirst(chess_translate($tmpMessage['messageFrom']))." gab auf.<br>\n";
			$isGameOver = true;
		}

		if ($tmpMessage['gameMessage'] == "checkMate")
		{
			$statusMessage .= "Schachmatt! ".ucfirst(chess_translate($tmpMessage['messageFrom']))." hat gewonnen.<br>\n";
			$isGameOver = true;
			$isCheckMate = true;
		}
		
		/* Spieleinsatz / Gewinnausschttung */
		$bet=(int)$tmpMessage['bet'];
		$opponent=($tmpMessage['whitePlayer']==$session['user']['acctid']?$tmpMessage['blackPlayer']:$tmpMessage['whitePlayer']);
		if($bet>=0 && 
			(
				($tmpMessage['gameMessage']=='checkMate' && $tmpMessage['messageFrom']==$playersColor) || 
				($tmpMessage['gameMessage']=='playerResigned' && $tmpMessage['messageFrom']!=$playersColor)
			)
		)
		{
			if($bet>0)
			{
				$what=($bet<10?'gems':'gold');
				if(ac_check($opponent)) //keine Gewinnausschttung an Multis
				{
					debuglog('Schach-Gewinn ('.$bet.$what.') nicht ausgezahlt wegen Multi-Check',$opponent);
					output('`@Du gewinnst '.($bet*2).($bet<10?' Edelsteine':' Gold').' und spendierst davon eine Lokalrunde!`0');
				}
				else
				{
					debuglog('gewinnt '.$bet.$what.' im Schach gegen',$opponent);
					$bet*=2;
					output('`@Du hast `^'.($bet).($bet<20?' Edelsteine':' Gold').'`@ gewonnen!`0');
					$session['user'][$what]+=$bet;
				}
			}
			db_query('UPDATE chessgames SET bet=-1 WHERE gameID='.$_SESSION['gameID']);
			
			//update hall-of-fame
			if(CHESS_HOF)
			{
				$session['user']['chessgameswon']++;
				db_query('UPDATE accounts SET chessgameswon=chessgameswon-1 WHERE acctid='.$opponent);
			}
		}
	}

/**
 * @desc Nimmt einen String und wandelt ihn in einen MYSQL Suchstring um
 * Zwischen alle Zeichen wird ein Trennzeichen eingefgt
 * Diese Funktion ist in der Dragonslayer-Edition bereits enthalten
 *
 * @param string $str_input_string enthlt den Eingabestring
 * @param string $str_split_char enthlt das Zeichen dass zum Trennen verwendet werden soll
 * @param string $str_remove_chars enthlt den regulren Ausdruck der Zeichen die aus dem String entfernt werden sollen
 * @return string
 */
function str_create_search_string($str_input_string = '',$str_split_char='%', $str_remove_chars = '#[\s\W\d]#')
{
	//Return an empty string
	if($str_input_string == '')
	{
		return $str_input_string;
	}

	//Remove slashes
	$str_input_string = stripslashes($str_input_string);
	$str_input_string = preg_replace($str_remove_chars,'',$str_input_string);

	//Split the string
    if(function_exists('str_split'))
	{
        $arr_temp = str_split($str_input_string, 1);
    }
    else
	{
        $arr_temp = preg_split('#(?<=.)(?=.)#s', $str_input_string);
    }

	//Add split chars
	$str_return = $str_split_char.addslashes(implode($str_split_char,$arr_temp)).$str_split_char;

	//Return the string
	return $str_return;

}
?>
